<?php
	session_start();	
	if( empty($_SESSION['Usuario']['XU_CUIT']) ){
		die('Inicie sesi&oacute;n!');
	}
	
	include realpath(dirname(__FILE__).'/../../include/conn.php');
	include realpath(dirname(__FILE__).'/../../include/clsEstadisticas.php');
	$Estadisticas = new Estadisticas($SqlSrv);
	$cuitoc = ( !empty($_REQUEST['user']) )? $_REQUEST['user'] : ''; 
	if( !empty($_SESSION['Usuario']["EMPRESA"]) && $_SESSION['Usuario']["ADMIN"] == 1 ){
		$arr1	= $Estadisticas->getPedidoOnTime($cuitoc, $_SESSION['Usuario']['XU_CUIT']);		
		$arr2	= $Estadisticas->getOkOnTime($cuitoc, $_SESSION['Usuario']['XU_CUIT']);
		$arr3	= $Estadisticas->obtTotalIsFull($cuitoc, $_SESSION['Usuario']['XU_CUIT']);		
		$arr4	= $Estadisticas->obtParcialIsFull($cuitoc, $_SESSION['Usuario']['XU_CUIT']);
	}else{
		$arr1	= $Estadisticas->getPedidoOnTime($cuitoc, $_SESSION['Usuario']['PROVEEDOR']);
		$arr2	= $Estadisticas->getOkOnTime($cuitoc, $_SESSION['Usuario']['PROVEEDOR']);
		$arr3	= $Estadisticas->obtTotalIsFull($cuitoc, $_SESSION['Usuario']['PROVEEDOR']);
		$arr4	= $Estadisticas->obtParcialIsFull($cuitoc, $_SESSION['Usuario']['PROVEEDOR']);
	}
	$TotalYTD = 0;
	$PedRea   = 0;
	$PedOnTime= 0;
	$CantPed  = 0;
	$CantEnt  = 0;
	if(!empty($arr1)){
		for($i = 0 ; $i < count($arr1); $i++ ){
			$PedRea += (float) $arr1[$i]['Cantidad'];		
		}		
		for($i = 0; $i < count($arr2); $i++ ){
			$PedOnTime += (float) $arr2[$i]['Cantidad']; 
		}
		for($i = 0; $i < count($arr3); $i++ ){
			$CantPed += (float) $arr3[$i]['Cantidad']; 
		}
		for($i = 0; $i < count($arr4); $i++ ){
			$CantEnt += (float) $arr4[$i]['Cantidad']; 
		}
		
		$TotalYTD = (( ($PedOnTime / $PedRea)  + ( $CantEnt/ $CantPed)  ) / 2) * 100;
	}
	// echo number_format(($PedOnTime / $PedRea), 2);
	// echo '--';
	// echo number_format(($CantEnt / $CantPed), 2);
	// echo '--';
	// echo number_format($TotalYTD, 2);
	// 239/179
?>	
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <title>amCharts examples</title>
        <script src="amcharts/amcharts.js" type="text/javascript"></script>
        <script src="amcharts/gauge.js" type="text/javascript"></script>

        <script>
			AmCharts.ready(function () {
                // create angular gauge
                chart = new AmCharts.AmAngularGauge();
                chart.addTitle("OTIF");
				
                
				// create axis
                axis = new AmCharts.GaugeAxis();
                axis.startValue = 0;
				axis.axisThickness = 1;
                axis.valueInterval = 10;
                axis.endValue = 100;
                // color bands
                var band1 = new AmCharts.GaugeBand();
                band1.startValue = 0;
                band1.endValue = 40;
                band1.color = "#ea3838";

                var band2 = new AmCharts.GaugeBand();
                band2.startValue = 40;
                band2.endValue = 70;
                band2.color = "#ffac29";

                var band3 = new AmCharts.GaugeBand();
                band3.startValue = 70;
                band3.endValue = 100;
                band3.color = "#00CC00";
                band3.innerRadius = "95%";

                axis.bands = [band1, band2, band3];

                // bottom text
                axis.bottomTextYOffset = -20;
                axis.setBottomText("0 %");
                chart.addAxis(axis);

                // gauge arrow
                arrow = new AmCharts.GaugeArrow();
                chart.addArrow(arrow);

                chart.write("chartdiv");
                // change value every 2 seconds
                setInterval(randomValue, 2000);
            });

            // set random value
            function randomValue() {
			/*
                var value = Math.round(Math.random() * 100);
                arrow.setValue(value);
                axis.setBottomText(value + " %");
			*/
				arrow.setValue(<?=number_format($TotalYTD, 2);?>);
                axis.setBottomText(<?=number_format($TotalYTD, 2);?> + " %");
            }

        </script>
    </head>

    <body>
		<center>	
			<div id="chartdiv" style="width:250px;height:265px;">
			</div>
			<div style="font-family:verdana;font-size:11px;text-align:center;">NIVEL DE SERVICIO</div>
		</center>
	</body>
</html>