<?php
	session_start();	
	if( empty($_SESSION['Usuario']['XU_CUIT']) ){
		die('Inicie sesi&oacute;n!');
	}
	
	include realpath(dirname(__FILE__).'/../../include/conn.php');
	include realpath(dirname(__FILE__).'/../../include/clsEstadisticas.php');
	
	$_REQUEST['desdeEst'] = (!empty($_REQUEST['desdeEst']) )?  $_REQUEST['desdeEst'] : '';
	$_REQUEST['hastaEst'] = (!empty($_REQUEST['hastaEst']) )?  $_REQUEST['hastaEst'] : '';
	$arrEst 			  = array();
	$Estadisticas 		  = new Estadisticas($SqlSrv);	
	$_REQUEST['Idx'] 	  = ( !empty($_REQUEST['Idx']) )? $_REQUEST['Idx'] : 0;
	$_REQUEST['Idx']	  = (int) $_REQUEST['Idx'];
	
	$fecha1 = getCharDate($_REQUEST['desdeEst']);
	$fecha2 = getCharDate($_REQUEST['hastaEst']);
	
	$title	= '';
	switch( $_REQUEST['Idx'] ){	
		case 1:
			$arrEst = $Estadisticas->obtIngresosProveedores($_SESSION['Usuario']['XU_CUIT'], $fecha1, $fecha2);
			$title	= 'RANKING (TOP 15) DE ACCESO POR PROVEEDOR';
		break;	
		case 2:
			$arrEst = $Estadisticas->obtIngresos($_SESSION['Usuario']['XU_CUIT'], $fecha1, $fecha2);
			if( !empty($arrEst) ){
				for($i = 0; $i < count($arrEst); $i++){
					$fec = getDateChar($arrEst[$i]['LOG_FECHA']);
					$arrEst[$i]['LOG_FECHA'] = substr($fec, 0, 5);
				}
			}
			$title	= 'CANTIDAD DE ACCESOS POR D&Iacute;A';
		break;
		case 3:
			$arrEst = $Estadisticas->obtMotivosConsultas($_SESSION['Usuario']['XU_CUIT'], $fecha1, $fecha2);
			$title	= 'MOTIVOS DE CONSULTAS';
		break;
	}	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <link rel="stylesheet" type="text/css" href="../../css/style_backend.css">
		<link rel="stylesheet" type="text/css" href="../../css/jquery-ui-1.8.16.custom.css" media="all" />
		<script type="text/javascript" src="../../js/jquery-1.7.2.min.js"></script>
		<script type="text/javascript" src="../../js/jquery-ui-1.8.19.custom.min.js"></script>
        <script type="text/javascript" src="../../js/estadisticas/amcharts.js"></script>
        <script type="text/javascript" src="../../js/estadisticas/serial.js" type="text/javascript"></script>
<?php
	if( $_REQUEST['Idx'] == 1 ){
?>
        <script type="text/javascript">
			$(function(){
				$( "#desdeEst" ).datepicker({dateFormat: 'dd/mm/yy'});
				$( "#hastaEst" ).datepicker({dateFormat: 'dd/mm/yy'});
			});
			
            var chart;
			var chartData = <?=json_encode($arrEst)?>;

            AmCharts.ready(function () {
                // SERIAL CHART
                chart = new AmCharts.AmSerialChart();
                chart.dataProvider = chartData;
                chart.categoryField = "proveedor";
                chart.startDuration = 1;

                // AXES
                // category
                var categoryAxis = chart.categoryAxis;
                categoryAxis.labelRotation = 45; // this line makes category values to be rotated
                categoryAxis.gridAlpha = 0;
                categoryAxis.fillAlpha = 1;
                categoryAxis.fillColor = "#FAFAFA";
                categoryAxis.gridPosition = "start";

                // value
                var valueAxis = new AmCharts.ValueAxis();
                valueAxis.dashLength = 5;
                valueAxis.title = "Ingresos";
                valueAxis.axisAlpha = 0;
                chart.addValueAxis(valueAxis);

                // GRAPH
                var graph = new AmCharts.AmGraph();
                graph.valueField = "TOTAL";
                graph.colorField = "color";
                graph.balloonText = "<b>[[category]]: [[value]]</b>";
                graph.type = "column";
                graph.lineAlpha = 0;
                graph.fillAlphas = 1;
                chart.addGraph(graph);

                // CURSOR
                var chartCursor = new AmCharts.ChartCursor();
                chartCursor.cursorAlpha = 0;
                chartCursor.zoomable = false;
                chartCursor.categoryBalloonEnabled = false;
                chart.addChartCursor(chartCursor);

                chart.creditsPosition = "top-right";

                // WRITE
                chart.write("chartdiv");
            });
        </script>
<?php
	}elseif( $_REQUEST['Idx'] == 2 ){
?>
        <script type="text/javascript">
			$(function(){
				$( "#desdeEst" ).datepicker({dateFormat: 'dd/mm/yy'});
				$( "#hastaEst" ).datepicker({dateFormat: 'dd/mm/yy'});
			});	
			
            var chart;
			var chartData = <?=json_encode($arrEst)?>;

            AmCharts.ready(function () {
                // SERIAL CHART
                var chart = new AmCharts.AmSerialChart();
                chart.dataProvider = chartData;
                chart.categoryField = "LOG_FECHA";
                chart.startDuration = 2;
                // change balloon text color
                chart.balloon.color = "#000000";

                // AXES
                // category
                var categoryAxis = chart.categoryAxis;
                categoryAxis.gridAlpha = 0;
                categoryAxis.axisAlpha = 1;
                categoryAxis.labelsEnabled = true;

                // value
                var valueAxis = new AmCharts.ValueAxis();
                valueAxis.gridAlpha = 1;
                valueAxis.axisAlpha = 1;
                valueAxis.labelsEnabled = true;
                valueAxis.minimum = 0;
                chart.addValueAxis(valueAxis);

                // GRAPH
                var graph = new AmCharts.AmGraph();
                graph.balloonText = "[[category]]: [[value]]";
                graph.valueField = "TOTAL";
                graph.descriptionField = "TOTAL";
                graph.type = "column";
                graph.lineAlpha = 0;
                graph.fillAlphas = 1;
                graph.fillColors = ["#0D8ECF", "#999"];
                graph.labelText = "[[description]]";
                graph.balloonText = "[[category]]: [[value]] Visitas";
                chart.addGraph(graph);

                // chart.creditsPosition = "top-right";
				chart.creditsPosition = "";

                // WRITE
                chart.write("chartdiv");
            });
        </script>
<?php
	}elseif( $_REQUEST['Idx'] == 3 ){
?>
        <script type="text/javascript">
		//<![CDATA[
			$(function(){
				$( "#desdeEst" ).datepicker({dateFormat: 'dd/mm/yy'});
				$( "#hastaEst" ).datepicker({dateFormat: 'dd/mm/yy'});
			});	
            var chart;
			var chartData = <?=json_encode($arrEst)?>;
			
			
			AmCharts.ready(function () {
                // SERIAL CHART
                chart = new AmCharts.AmSerialChart();
                chart.dataProvider = chartData;
                chart.categoryField = "motivo";
                chart.startDuration = 1;
                chart.plotAreaBorderColor = "#DADADA";
                chart.plotAreaBorderAlpha = 1;
                // this single line makes the chart a bar chart
                chart.rotate = false;

                // AXES
                // Category
                var categoryAxis = chart.categoryAxis;
                categoryAxis.gridPosition = "start";
                categoryAxis.gridAlpha = 0.1;
                categoryAxis.axisAlpha = 0;

                // Value
                var valueAxis = new AmCharts.ValueAxis();
                valueAxis.axisAlpha = 0;
                valueAxis.gridAlpha = 0.1;
                valueAxis.position = "top";
                chart.addValueAxis(valueAxis);

                // GRAPHS
                // first graph
                var graph1 = new AmCharts.AmGraph();
                graph1.type = "column";
                graph1.title = "Cerrado";
                graph1.valueField = "cerrado";
                graph1.balloonText = "cerrado:[[value]]";
                graph1.lineAlpha = 0;
                graph1.fillColors = "#0D8ECF";
                graph1.fillAlphas = 1;
                chart.addGraph(graph1);

                // second graph
                var graph2 = new AmCharts.AmGraph();
                graph2.type = "column";
                graph2.title = "Pendiente";
                graph2.valueField = "pendiente";
                graph2.balloonText = "Pendiente:[[value]]";
                graph2.lineAlpha = 0;
                graph2.fillColors = "#999";
                graph2.fillAlphas = 1;
                chart.addGraph(graph2);

                // LEGEND
                var legend = new AmCharts.AmLegend();
                chart.addLegend(legend);

                chart.creditsPosition = "top-right";

                // WRITE
                chart.write("chartdiv");
            });
						
		//]]>			
		</script>
<?php
	}
?>
		<script type="text/javascript">
		$(document).ready(function() {
			$('#searchEst').click(function(){
				var f1	= $('#desdeEst').val();
				var f2	= $('#hastaEst').val();
				var Idx = $('#Idx').val();
				var Fbool = true;
				var loc	= '';
				if( ( f1 == '' ) && ( f2 == '' )  ){
					Fbool = false;
				}
				if(Fbool == false){
					alert('Debe ingresar al menos una fecha!');
				}else{
					loc	= 'col.php?';
					loc = loc + '&Idx=' + Idx + '&desdeEst=' + f1 + '&hastaEst=' + f2;
					$(location).attr('href',loc);
				}
			});
		});
		</script>
    </head>
    <body>
		<div class="t_estadistica"><?=$title?></div>		
		<form name="fEstadistica" id="fEstadistica" method="post" action=""  class="t_estadistica">
			<input type="hidden" name="Idx" id="Idx" value="<?=$_REQUEST['Idx']?>" size="10" />
			<table cellpadding="2" cellspacing="2" border="0" class="table_fecha">
				<tr>
					<td width="50">&nbsp;</td>
					<td align="right">
						FECHA: 
						<input type="text" name="desdeEst" id="desdeEst" value="<?=$_REQUEST['desdeEst']?>" size="10" />
						A 
						<input type="text" name="hastaEst" id="hastaEst" value="<?=$_REQUEST['hastaEst']?>" size="10" />
					</td>	
					<td align="left">
						<div style="margin-top:5px;">
							<!--a href="#" id="searchEst"><img src="../../img/search-button.png" border="0" /></a-->
							<button type="button" id="searchEst">
								<img src="../../img/search-button.png" border="0" />
							</button>
						</div>
					</td>
					<td width="190">&nbsp;</td>
				</tr>
			</table>
		</form>		
        <div id="chartdiv" style="width:100%;height:300px;"></div>
    </body>
</html>