<?php
//metaData
class MetaData{

	var $SqlSrv ;									// Clase SqlServer
	var $CLASS_INFO ;								// Info de la Clase
	
	
	//  ALTER TABLE Datos_Facturacion DROP FOREIGN KEY FK_REFERENCE_90;
	// `ALTER TABLE Datos_Facturacion DROP INDEX FK_REFERENCE_90`
	// EJ: `ALTER TABLE schatd DROP INDEX CUITEMPRESA`
	
	function MetaData($SqlServer) {

		$this->CLASS_INFO['NAME']	   = "MetaData";
		$this->CLASS_INFO['VERSION'] = "1.0" ;

		if ($SqlServer->CLASS_INFO['NAME'] != "SqlServer" || $SqlServer->CLASS_INFO['VERSION'] < "1.0") {
			die("Esta clase requiere SqlServer 1.0 o superior.");
		}
		$this->SqlSrv =  $SqlServer ;
		return TRUE;
	}
	
	function obtExisteTabla($nomTabla = ""){
		if(empty($nombreTabla)){
			$query	= "SELECT * from sx3 ";			
			$query .= "WHERE X3_ARQUIVO = '$nomTabla' limit 1 ";
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if( $numrows ){
				return true;
			}
		}
		return false;
	}
	
	
	function conEstrucTabla( $nomTabla="", $arrTabla=array() ){
		if(!empty($arrTabla)){
			//ordenar primero el array de acuerdo al  campo X3_ORDEM
			$query = "CREATE TABLE `".$nomTabla."` ( ";
			for($i=0; $i < count($arrTabla); $i++){
				//C - N - F
				$query .= "	`".$arrTabla[$i]['X3_CAMPO']."` ".getTypeCol($arrTabla[$i]['X3_TIPO'])."(".$arrTabla[$i]['X3_TAMANHO'].") ".getRequired($arrTabla[$i]['X3_OBRIGAT']).($i == (count($arrTabla)-1)? ' ' : ', '  )." ";
				// [$i]['X3_ORDEM']
				// [$i]['X3_CAMPO']
				// [$i]['X3_TIPO']
				// [$i]['X3_TAMANHO']
				// [$i]['X3_DECIMAL']
				// [$i]['X3_TITULO']
				// [$i]['X3_DESCSPA']
				// [$i]['X3_PICTURE']
				// [$i]['X3_F3']
				// [$i]['X3_BROWSE']
				// [$i]['X3_VISUAL']
				// [$i]['X3_OBRIGAT']
			}
			$query .= "	) ENGINE=MyISAM DEFAULT CHARSET=utf8; ";
		}
		return $this->SqlSrv->dbQueryInsert($query);
	}
	
	function obtEstrucTabla($nomTabla=""){
		$arrResult	= array();		
		$query	= "SELECT * FROM sx3 ";
		$query .= "WHERE X3_ARQUIVO = '$nomTabla' ";
		$query .= "ORDER BY X3_ORDEM ASC ";
		$result	= $this->SqlSrv->dbQuery($query);
		$numrows = $this->SqlSrv->dbNumRows($result);
		if($numrows){
			for( $i = 0 ; $i <$numrows ; $i++ ) {
				$row = $this->SqlSrv->dbGetRow($result,$i);
				$arrResult[$i]['X3_ARQUIVO']= $row['X3_ARQUIVO'];
				$arrResult[$i]['X3_ORDEM']	= $row['X3_ORDEM'];
				$arrResult[$i]['X3_CAMPO']	= $row['X3_CAMPO'];
				$arrResult[$i]['X3_TIPO']	= $row['X3_TIPO'];
				$arrResult[$i]['X3_TAMANHO']= $row['X3_TAMANHO'];
				$arrResult[$i]['X3_DECIMAL']= $row['X3_DECIMAL'];
				$arrResult[$i]['X3_TITULO']	= $row['X3_TITULO'];
				$arrResult[$i]['X3_DESCSPA']= $row['X3_DESCSPA'];
				$arrResult[$i]['X3_PICTURE']= $row['X3_PICTURE'];
				$arrResult[$i]['X3_F3']		= $row['X3_F3'];
				$arrResult[$i]['X3_BROWSE']	= $row['X3_BROWSE'];
				$arrResult[$i]['X3_VISUAL']	= $row['X3_VISUAL'];
				$arrResult[$i]['X3_OBRIGAT']= $row['X3_OBRIGAT'];
			}
		}
		return $arrResult;
	}
	
	function obtDatosTabla($nomTabla = "", $indice="", $dato="", $pagina=0, $porPagina=10 ){
		$offset 	= 0;
		$arrResult	= array();
		if(!empty($nomTabla)){
			if(!empty($indice) && !empty($dato)){
				$query	= "SELECT * FROM $nomTabla WHERE $indice = '$dato' ";
				if( $porPagina > 0 ){
					$offset = ($pagina * $porPagina);
					$query .= "LIMIT $offset, $porPagina ";
				}
			}else{
				$query	= "SELECT * FROM $nomTabla ";
				if( $porPagina > 0 ){
					$offset = ($pagina * $porPagina);
					$query .= "LIMIT $offset, $porPagina ";
				}
			}
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				$arrEstrucTabla = $this->obtEstrucTabla($nomTabla);
				for( $i = 0 ; $i < $numrows ; $i++ ) {
					$row = $this->SqlSrv->dbGetRow($result,$i);
					for($x = 0; $x < count($arrEstrucTabla); $x++){
						$arrResult[$i][$arrEstrucTabla[$x]['X3_CAMPO']]= $row[$arrEstrucTabla[$x]['X3_CAMPO']];
					}
				}
			}
		}
		return $arrResult;
	}
	
	function countDatosTabla($nomTabla = "", $indice="", $dato=""){
		$arrResult = array();
		$total[0] = 0;
		if(!empty($nomTabla)){
			if(!empty($indice) && !empty($dato)){
				$query	= "SELECT COUNT(*) FROM $nomTabla WHERE $indice = '$dato' ";
			}else{
				$query	= "SELECT COUNT(*) FROM $nomTabla ";
			}
			$result	= $this->SqlSrv->dbQuery($query);
			$total = $this->SqlSrv->dbGetRow($result,0);
		}
		return $total[0];
	}
	
	function insertABM($datosInsert="", $tabla=""){
		if( empty($datosInsert) && empty($tabla) ){
			return false;
		}else{
			$query = "INSERT INTO $tabla SET ".$datosInsert;
			return $this->SqlSrv->dbQueryInsert($query);
		}		
	}
	
	function updateABM($datosInsert="", $tabla=""){
		if( empty($datosInsert) && empty($tabla) ){
			return false;
		}else{
			$query = "UPDATE $tabla SET ".$datosInsert;
			return $this->SqlSrv->dbQueryInsert($query);
		}
	}
	
	function obtIndiceTabla($nomTabla=""){
		$arrReturn = array();
		if($nomTabla){
			$query	= "SELECT INDICE from sx1 where CODTABLA = '$nomTabla' ";
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				$arrReturn = $this->SqlSrv->dbGetRow($result,0);
			}
		}
		return $arrReturn;
	}
	
	function obtIndicesTabla($nomTabla=""){
		$arrReturn = array();
		if($nomTabla){
			$query	= "SELECT INDICE FROM sx1 where CODTABLA = '$nomTabla' ";
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				for( $i = 0; $i < $numrows; $i++ ){
					$arrReturn[$i] = $this->SqlSrv->dbGetRow($result,$i);
				}	
			}
		}
		return $arrReturn;
	}
	
	
	function obtRegistroTabla($nomTabla="", $campo="", $dato='', $cuitEmpresa=''){
		if( !empty($nomTabla) && !empty($campo) && !empty($dato) ){
			if( $this->SqlSrv->dbGetTableState($nomTabla) == 0 || $this->SqlSrv->dbGetTableState($nomTabla) == 1 ){
				$query	= "SELECT * FROM $nomTabla ";
				if( is_array($campo) ){
					$campo[0]['INDICE'] = (!empty($campo[0]['INDICE']))? $campo[0]['INDICE'] : '';
					$campo[1]['INDICE'] = (!empty($campo[1]['INDICE']))? $campo[1]['INDICE'] : '';
					$campo0 = (string) $campo[0]['INDICE'];
					$campo1 = (string) $campo[1]['INDICE'];
					$query .= "WHERE $campo0 = '$dato' ";
					$query .= (!empty($campo1))? "AND $campo1 = '$cuitEmpresa' " : "";
				}elseif( !empty($campo) ){
					$campo = (string) $campo;
					$query .= "WHERE $campo = '$dato' ";
				}
				// echo $query;
				$result	= $this->SqlSrv->dbQuery($query);
				$numrows = $this->SqlSrv->dbNumRows($result);
				if($numrows){
					$row = $this->SqlSrv->dbGetRow($result,0);
					return $row;
				}
			}
		}
		return false;
	}
	
	function obtF3_func($func=""){
		$arrReturn = array();
		if(!empty($func)){
			$query	= "SELECT * FROM sx6 WHERE CODIGO = '$func' ";
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				for( $i = 0; $i < $numrows; $i++ ){
					$row = $this->SqlSrv->dbGetRow($result,$i);
					$arrReturn[$i]['IDSX6']		= $row['IDSX6'];
					$arrReturn[$i]['CODIGO']	= $row['CODIGO'];
					$arrReturn[$i]['CODIGO']	= $row['CODIGO'];
					$arrReturn[$i]['TIPO']		= $row['TIPO'];
					$arrReturn[$i]['VALOR']		= $row['VALOR'];
				}				
			}
		}
		return $arrReturn;
	}
	
	function obtModulos(){
		$arrReturn = array();
		$query	= "SELECT XN_MODULO, XN_MENU FROM sxn ";
		$query .= "GROUP BY XN_MODULO, XN_MENU ";
		$result	= $this->SqlSrv->dbQuery($query);
		$numrows = $this->SqlSrv->dbNumRows($result);
		if($numrows){
			for( $i = 0; $i < $numrows; $i++ ){
				$arrReturn[$i] = $this->SqlSrv->dbGetRow($result,$i);
			}
		}	
		return $arrReturn;
	}
	
	function obtUsuarioEmpresa($cuit=""){
		$arrReturn = array();
		if(!empty($cuit)){
			$query	 = "SELECT XE_CUIT, XE_NOMBRE, XUE_TOLENT, XUE_TOLDIAS, XUE_DHPAG  ";
			$query  .= "FROM sxe ";
			$query  .= "INNER JOIN sxue ON sxe.XE_CUIT = sxue.XUE_CUITEMPRESA ";
			$query  .= "WHERE sxue.XUE_CUITUSUARIO = '$cuit' ";
			$result	 = $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				for( $i = 0; $i < $numrows; $i++ ){
					$arrReturn[$i] = $this->SqlSrv->dbGetRow($result,$i);
				}
			}
		}
		return $arrReturn;
	}
	
	function obtOPxEmpresa( $cuitUsuario="", $cuitEmpresa="", $nomTabla= "", $indice="", $dato="", $pagina=0, $porPagina=10, $count=0 ){
		$arrReturn = array();
		$offset = 0;
		if( $count== 1 ){
			$query	= "SELECT COUNT(*) FROM $nomTabla ";
		}else{
			$select = '*';
			if($nomTabla == 'spp'){
				$select = "	CUITUSUARIO,
							spp.CUITEMPRESA,
							( IFNULL(XU_NOMBRE, CUITUSUARIO) ) AS 'PP_EMPRESA', 
							PP_OP,
							PP_FECPAG,
							PP_FORPAG,
							( IFNULL(DIV_TIPMON, PP_MONEDA) ) AS 'PP_MONEDA',
							PP_FECDIS,
							( IF( LENGTH(PP_LUGPAG) > 0, PP_LUGPAG, XE_LUGPAG) ) AS 'PP_LUGPAG', 
							PP_FECDIF,
							PP_IMPORTE,
							PP_MONRET,
							PP_MONGAN,
							PP_MONIVA,
							PP_MONIIB,
							PP_NUMCHE,
							PP_SUSS,
							PP_RG1784
				";
			}
			if( $nomTabla == 'sfp' ){
				$select = "	CUITUSUARIO,
							sfp.CUITEMPRESA,
							FP_TIPDOC,
							FP_DOC,
							( IFNULL(DIV_TIPMON, FP_MONEDA) ) AS 'FP_MONEDA',
							FP_IMPORTE,
							FP_SALDO,
							FP_FECDOC,
							FP_FECPAG,
							FP_FECOP,
							FP_OP,
							FE_ESTADO AS 'FP_ESTADO',
							FP_BLOQUEO,
							FP_OBSERVACIONES ";
			}
			$query	= "SELECT $select FROM $nomTabla ";
		}
		if( $nomTabla == 'sfp' ){
			$query .= 'LEFT JOIN sfe ON FP_ESTADO = FE_IDX AND sfe.CUITEMPRESA = "'.$cuitEmpresa.'" ';
			$query .= 'LEFT JOIN sdiv ON FP_MONEDA = DIV_IDX AND sdiv.CUITEMPRESA = "'.$cuitEmpresa.'" ';
			$query .= "WHERE sfp.CUITUSUARIO= '$cuitUsuario' AND sfp.CUITEMPRESA = '$cuitEmpresa' ";
		}elseif($nomTabla == 'spp'){
			$query .= 'LEFT JOIN sdiv ON PP_MONEDA = DIV_IDX AND sdiv.CUITEMPRESA = "'.$cuitEmpresa.'" ';
			$query .= 'LEFT JOIN sxu ON XU_CUIT		= spp.CUITUSUARIO ';
			$query .= 'LEFT JOIN sxe ON XE_CUIT		= spp.CUITEMPRESA ';
			$query .= "WHERE spp.CUITUSUARIO= '$cuitUsuario' AND spp.CUITEMPRESA = '$cuitEmpresa' ";
		}
		( (!empty($indice)) && (!empty($dato)) ? $query .= " AND $indice = '$dato' " : "");
		
		if( $nomTabla == 'sfp' ){
			// $query .= "GROUP BY	CUITUSUARIO,
							// sfp.CUITEMPRESA,
							// FP_TIPDOC,
							// FP_DOC,
							// FP_IMPORTE,
							// FP_SALDO,
							// FP_FECDOC,
							// FP_FECPAG,
							// FP_FECOP,
							// FP_OP,
							// FE_ESTADO AS 'FP_ESTADO',
							// FP_BLOQUEO,
							// FP_OBSERVACIONES ";
		}elseif($nomTabla == 'spp'){
			// $query .= "GROUP BY	CUITUSUARIO,
						// spp.CUITEMPRESA,
						// PP_OP,
						// PP_FECPAG,
						// PP_FORPAG,
						// PP_FECDIS,
						// PP_FECDIF,
						// PP_IMPORTE,
						// PP_MONRET,
						// PP_MONGAN,
						// PP_MONIVA,
						// PP_MONIIB,
						// PP_NUMCHE							
				// ";
		}		
		
		if( $count == 1 ){
			$result		= $this->SqlSrv->dbQuery($query);
			$arrReturn	= $this->SqlSrv->dbGetRow($result,0);
		}else{
			if($porPagina > 0){
				$offset = ($pagina * $porPagina);			
				$query .= "LIMIT $offset, $porPagina ";
			}
			// echo $query;
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				$arrEstrucTabla = $this->obtEstrucTabla($nomTabla);
				for( $i = 0 ; $i < $numrows ; $i++ ){
					$row = $this->SqlSrv->dbGetRow($result,$i);
					for($x = 0; $x < count($arrEstrucTabla); $x++){
						$arrReturn[$i][$arrEstrucTabla[$x]['X3_CAMPO']]= $row[$arrEstrucTabla[$x]['X3_CAMPO']];
					}
				}
			}
		}
		return $arrReturn;
	}
	
	function obtMensaje($cuitUsuario="", $cuitEmpresa=""){
		$arrReturn = array();
		if(!empty($cuitUsuario) && !empty($cuitEmpresa)){
			$query	= "SELECT * FROM sme ";
			$query .= "INNER JOIN smeu ON sme.ME_CUITEMPRESA = smeu.MEU_CUITEMPRESA ";
			$query .= "WHERE smeu.MEU_CUITUSUARIO = '$cuitUsuario' AND smeu.MEU_CUITEMPRESA = '$cuitEmpresa' ";
			$query .= "LIMIT 1 ";
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				for( $i = 0; $i < $numrows; $i++ ){
					$arrReturn = $this->SqlSrv->dbGetRow($result,0);
				}
			}
		}
		return $arrReturn;
	}
	
	function obtEmpresa($cuit=''){
		$arrReturn = array();
		if( !empty($cuit) ){
			$query = "SELECT * FROM sxe ";
			$query.= "WHERE XE_CUIT = '".trim($cuit)."' ";
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if( $numrows ){
				for( $i = 0; $i < $numrows; $i++ ){
					$arrReturn = $this->SqlSrv->dbGetRow($result,0);
				}
			}
		}
		return $arrReturn;
	}
	
	function obtCertificados($cuitUsuario="", $cuitEmpresa="", $nomTabla= "", $indice="", $dato="", $cert=""){
		$arrReturn = array();
		$query	= "SELECT * FROM $nomTabla ";
		$query .= "WHERE CUITUSUARIO= '$cuitUsuario' AND CUITEMPRESA = '$cuitEmpresa' ";
		( (!empty($indice)) && (!empty($dato)) ? $query .= " AND $indice = '$dato' " : "");
		( !empty($cert)  ? $query .= " AND FC_TIPDOC like '%$cert%' " : "");
		$result	= $this->SqlSrv->dbQuery($query);
		$numrows= $this->SqlSrv->dbNumRows($result);
		if($numrows){
			for( $i = 0 ; $i < $numrows ; $i++ ) {
				$row = $this->SqlSrv->dbGetRow($result,$i);
				$arrReturn[$i] = $row;
			}
		}
		return $arrReturn;
	}
	
	function obtCertificadosAdm($cuitEmpresa="", $nomTabla= "", $indice="", $dato="", $cert=""){
		$arrReturn = array();
		$query	= "SELECT * FROM $nomTabla ";
		$query .= "WHERE CUITEMPRESA = '$cuitEmpresa' ";
		( (!empty($indice)) && (!empty($dato)) ? $query .= " AND $indice = '$dato' " : "");
		( !empty($cert)  ? $query .= " AND FC_TIPDOC like '%$cert%' " : "");
		$result	= $this->SqlSrv->dbQuery($query);
		$numrows= $this->SqlSrv->dbNumRows($result);
		if($numrows){
			for( $i = 0 ; $i < $numrows ; $i++ ) {
				$row = $this->SqlSrv->dbGetRow($result,$i);
				$arrReturn[$i] = $row;
			}
		}
		return $arrReturn;
	}
	
	
	function obtOPxAdministrador($cuitUsuario="", $cuitEmpresa="", $nomTabla= "", $indice="", $dato="", $desde='', $hasta='', $pagina=0, $porPagina=10, $count=0, $estado='TODO', $OP=''){
		$arrDesde = (!empty($desde) )? explode("/", $desde) : array();
		$arrhasta = (!empty($hasta) )? explode("/", $hasta) : array();
		if(!empty($desde)){
			$desde = $arrDesde[2].$arrDesde[1].$arrDesde[0];
		}
		if(!empty($arrhasta)){
			$hasta = $arrhasta[2].$arrhasta[1].$arrhasta[0];
		}
		$offset = 0;
		$arrReturn = array();
		if( $count== 1 ){
			$query	= "SELECT COUNT(*) FROM $nomTabla ";
		}else{
			$select = '*';
			if( $nomTabla == 'spp' ){
				$select = "	CUITUSUARIO,
							spp.CUITEMPRESA,
							( IFNULL(XU_NOMBRE, CUITUSUARIO) ) AS 'PP_EMPRESA', 
							PP_OP, 
							PP_FECPAG,
							PP_FORPAG,
							( IFNULL(DIV_TIPMON, PP_MONEDA) ) AS 'PP_MONEDA',
							PP_FECDIS,
							( IF( LENGTH(PP_LUGPAG) > 0, PP_LUGPAG, XE_LUGPAG) ) AS 'PP_LUGPAG', 
							PP_FECDIF,
							PP_IMPORTE,	
							PP_MONRET,
							PP_MONGAN,
							PP_MONIVA,
							PP_MONIIB,
							PP_NUMCHE,
							PP_SUSS,
							PP_RG1784
				";
			}
			if( $nomTabla == 'sfp' ){
				$select = "	CUITUSUARIO,
							sfp.CUITEMPRESA,
							FP_TIPDOC,
							FP_DOC,
							( IFNULL(DIV_TIPMON, FP_MONEDA) ) AS 'FP_MONEDA',
							FP_IMPORTE,
							FP_SALDO,
							FP_FECDOC,
							FP_FECPAG,
							FP_FECOP,
							FP_OP,
							FE_ESTADO AS 'FP_ESTADO',
							FP_BLOQUEO,
							FP_OBSERVACIONES ";
			}
			$query	= "SELECT $select FROM $nomTabla ";
		}
		if( $nomTabla == 'sfp' ){
			$query .= 'LEFT JOIN sfe ON FP_ESTADO 	= FE_IDX AND sfe.CUITEMPRESA 	= "'.$cuitEmpresa.'" ';
			$query .= 'LEFT JOIN sdiv ON FP_MONEDA 	= DIV_IDX AND sdiv.CUITEMPRESA 	= "'.$cuitEmpresa.'" ';
			$query .= 'WHERE sfp.CUITEMPRESA 		= "'.$cuitEmpresa.'" ';
			
			if ( $estado <> 'TODO' && !empty($estado)){
				$query .= "AND sfp.FP_ESTADO = '$estado' ";
			}
			
			// if ( $estado <> 'TODO' ){
				// if( $estado == 'PENDIENTE' ){
					// $query .= ' AND FP_SALDO > 0 ';
				// }	
				// if( $estado == 'CANCELADA' ){
					// $query .= ' AND FP_SALDO = 0 ';
				// }	
			// }
		}elseif( $nomTabla == 'spp' ){
			$query .= 'LEFT JOIN sdiv ON PP_MONEDA  = DIV_IDX AND sdiv.CUITEMPRESA = "'.$cuitEmpresa.'" ';
			$query .= 'LEFT JOIN sxu ON XU_CUIT		= spp.CUITUSUARIO ';
			$query .= 'LEFT JOIN sxe ON XE_CUIT		= spp.CUITEMPRESA ';
			$query .= 'WHERE spp.CUITEMPRESA 		= "'.$cuitEmpresa.'" ';
			if ( $OP <> '' ){
				$query .= ' AND PP_OP LIKE "%'.$OP.'%" ';
			}
			
		}
		$query .= ( !empty($cuitUsuario) && ($cuitUsuario != 0) )? "AND CUITUSUARIO = '$cuitUsuario' " : "";
		( (!empty($indice)) && (!empty($dato)) ? $query .= " AND $indice = '$dato' " : "");
		if( $nomTabla == 'sfp' ){
			$query .= ( !empty($desde) )? "AND DATE_FORMAT(FP_FECPAG, '%Y%m%d') >= DATE_FORMAT('$desde', '%Y%m%d') " : " ";
			$query .= ( !empty($hasta) )? "AND DATE_FORMAT(FP_FECPAG, '%Y%m%d') <= DATE_FORMAT('$hasta', '%Y%m%d') " : " ";
			$query .= "ORDER BY FP_FECPAG DESC ";
		}elseif($nomTabla == 'spp'){
			$query .= ( !empty($desde) )? "AND DATE_FORMAT(PP_FECPAG, '%Y%m%d') >= DATE_FORMAT('$desde', '%Y%m%d') " : " ";
			$query .= ( !empty($hasta) )? "AND DATE_FORMAT(PP_FECPAG, '%Y%m%d') <= DATE_FORMAT('$hasta', '%Y%m%d') " : " ";
			$query .= "ORDER BY PP_FECPAG DESC ";
		}
		if( $count== 1 ){
			$result		= $this->SqlSrv->dbQuery($query);
			$arrReturn	= $this->SqlSrv->dbGetRow($result,0);
		}else{
			if($porPagina > 0){
				$offset = ($pagina * $porPagina);
				$query .= "LIMIT $offset, $porPagina ";
			}
			// echo $query;
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				$arrEstrucTabla = $this->obtEstrucTabla($nomTabla);
				for( $i = 0 ; $i < $numrows ; $i++ ){
					$row = $this->SqlSrv->dbGetRow($result,$i);
					for($x = 0; $x < count($arrEstrucTabla); $x++){
						$arrReturn[$i][$arrEstrucTabla[$x]['X3_CAMPO']]= $row[$arrEstrucTabla[$x]['X3_CAMPO']];
					}
				}
			}
		}
		return $arrReturn;
	}
	
	function obtProveedorxEmpresa($cuitEmpresa=''){
		$arrReturn = array();
		$query = "SELECT XU_CUIT, XU_USUARIO, XU_NOMBRE FROM sxu ";
		$query.= "INNER JOIN  sfp ON sfp.CUITUSUARIO = sxu.XU_CUIT ";
		$query.= "WHERE CUITEMPRESA = '$cuitEmpresa' ";		
		$query.= "GROUP BY XU_CUIT, XU_USUARIO, XU_NOMBRE ";
		$query.= "ORDER BY XU_NOMBRE ASC ";
		// ECHO $query;
		$result	= $this->SqlSrv->dbQuery($query);
		$numrows = $this->SqlSrv->dbNumRows($result);	
		if($numrows){
			for( $i = 0 ; $i < $numrows ; $i++ ) {
				$row = $this->SqlSrv->dbGetRow($result,$i);
				$arrReturn[$i] = $row;
			}
		}
		return $arrReturn;
	}
	
	function obtOPProveedorxEmpresa($cuitEmpresa=''){
		$arrReturn = array();
		$query = "SELECT XU_CUIT, XU_USUARIO, XU_NOMBRE FROM sxu ";
		$query.= "INNER JOIN  spp ON spp.CUITUSUARIO = sxu.XU_CUIT ";
		$query.= "WHERE CUITEMPRESA = '$cuitEmpresa' ";		
		$query.= "GROUP BY XU_CUIT, XU_USUARIO, XU_NOMBRE ";
		$query.= "ORDER BY XU_NOMBRE ASC ";
		$result	= $this->SqlSrv->dbQuery($query);
		$numrows = $this->SqlSrv->dbNumRows($result);	
		if($numrows){
			for( $i = 0 ; $i < $numrows ; $i++ ) {
				$row = $this->SqlSrv->dbGetRow($result,$i);
				$arrReturn[$i] = $row;
			}
		}
		return $arrReturn;
	}
	
	function obtUsuariosProveedores($cuitEmpresa='', $pagina=0, $porPagina=10, $like=''){
		$arrReturn	= array();
		$pagina		= (int) $pagina;
		$porPagina	= (int) $porPagina;
		$query  = "SELECT sxu.* FROM sxu ";
		$query .= "INNER JOIN sxue ON sxu.XU_CUIT = sxue.XUE_CUITUSUARIO ";
		$query .= "WHERE XUE_CUITEMPRESA = '$cuitEmpresa' ";
		$query .= ( !empty($like) )? "AND sxu.XU_CUIT like '%".$like."%' " : '';
		$query .= "ORDER BY XU_NOMBRE ASC ";
		if($porPagina > 0){
			$offset = ($pagina * $porPagina);
			$query .= "LIMIT $offset, $porPagina ";
		}	
		// echo $query;
		$result	= $this->SqlSrv->dbQuery($query);
		$numrows = $this->SqlSrv->dbNumRows($result);
		if($numrows){
			for( $i = 0 ; $i < $numrows ; $i++ ) {
				$arrReturn[$i] = $this->SqlSrv->dbGetRow($result,$i);
			}
		}
		return $arrReturn;
	}
	
	function countUsuariosProveedores($cuitEmpresa='', $like=''){
		$query  = "SELECT count(*) FROM sxu ";
		$query .= "INNER JOIN sxue ON sxu.XU_CUIT = sxue.XUE_CUITUSUARIO ";
		$query .= "WHERE XUE_CUITEMPRESA = '$cuitEmpresa' ";
		$query .= ( !empty($like) )? "AND sxu.XU_CUIT like '%".$like."%' " : '';
		$result	= $this->SqlSrv->dbQuery($query);
		$total = 0;
		$total = $this->SqlSrv->dbGetRow($result,0);
		return $total[0];
	}
	
	
	function insertRelacionUsuProv($tabla='', $cuitUsuario, $cuitEmpresa){
		$query = "";
		if(!empty($tabla) && !empty($cuitUsuario) && !empty($cuitEmpresa) ){
			$query = "INSERT INTO $tabla SET XUE_CUITUSUARIO = '$cuitUsuario', XUE_CUITEMPRESA = '$cuitEmpresa' ";
		}	
		return $this->SqlSrv->dbQueryInsert($query);
	}
	
	function obtRelEmpresaUsuario($cuitUsuario, $cuitEmpresa){
		$query		= "";
		$numrows 	= 0;
		if( !empty($cuitUsuario) && !empty($cuitEmpresa) ){
			$query  = "SELECT * FROM sxue WHERE XUE_CUITUSUARIO = '$cuitUsuario'AND XUE_CUITEMPRESA = '$cuitEmpresa' ";
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
		}
		if($numrows){
			return true;
		}else{
			return false;
		}
	}
	
	function deleteRelEmpresaUsuario($cuitEmpresa, $cuitUsuario){
		if( !empty($cuitUsuario) && !empty($cuitEmpresa) ){
			$query = "DELETE FROM sxue WHERE XUE_CUITUSUARIO ='$cuitUsuario' AND XUE_CUITEMPRESA = '$cuitEmpresa' ";
			$this->SqlSrv->dbQuery($query);
			return true;
		}
		return false;
	}
	
	function obtMotivosContables($cuitUsuario=''){
		$arrReturn = array();	
		if( !empty($cuitUsuario) ){
			$query  = "SELECT * FROM smc WHERE CUITEMPRESA = '$cuitUsuario' ";
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);	
			if($numrows){
				for( $i = 0 ; $i < $numrows ; $i++ ) {
					$arrReturn[$i] = $this->SqlSrv->dbGetRow($result,$i);
				}
			}
		}
		return $arrReturn;
	}
	
	function deleteGen($tabla='', $indice='', $dato='', $cuitEmpresa=''){
		if( !empty($tabla) && !empty($indice) && !empty($dato) ){
			$query = "DELETE FROM $tabla  ";					
			if( is_array($indice) ){
				$indice[0]['INDICE'] = (!empty($indice[0]['INDICE']))? $indice[0]['INDICE'] : '';
				$indice[1]['INDICE'] = (!empty($indice[1]['INDICE']))? $indice[1]['INDICE'] : '';
				$indice0 = (string) $indice[0]['INDICE'];	
				$indice1 = (string) $indice[1]['INDICE'];
				$query .= "WHERE $indice0 = '$dato' ";
				$query .= !empty($indice1)? " AND $indice1 = '$cuitEmpresa' " : "";
			}elseif( empty($indice) ){
				$indice = (string) $indice;
				$query .= "WHERE $indice = '$dato' ";
			}
			$this->SqlSrv->dbQuery($query);
			return true;
		}	
		return false;	
	}
	
	function obtOP($nomTabla='', $op='', $cuit=''){
		$arrReturn = array();
		// $query  = "SELECT spd.* FROM spd ";
		// $query .= "INNER JOIN smc ON TRIM(smc.MC_TIPDOC) = TRIM(spd.PD_TIPDOC) ";
		$query  = " SELECT 
					spd.CUITEMPRESA,
					spd.CUITUSUARIO,			
					( IFNULL(MC_TIPDOC, PD_TIPDOC) ) AS 'PD_TIPDOC',
					spd.PD_DOC,
					spd.PD_OP,
					spd.PD_FECDOC, 
					spd.PD_FECVEN,
					spd.PD_MONTO
					FROM spd ";
		$query .= "LEFT JOIN smc ON TRIM(smc.MC_IDX) = TRIM(spd.PD_TIPDOC) AND smc.CUITEMPRESA = '$cuit' ";
		$query .= "WHERE PD_OP = '$op' AND spd.CUITEMPRESA = '$cuit' ";
		$query .= "GROUP BY  CUITEMPRESA, CUITUSUARIO, PD_TIPDOC, PD_DOC, PD_OP, PD_FECDOC, PD_FECVEN, PD_MONTO ";
		$query .= "ORDER BY smc.MC_DEHA, PD_TIPDOC ASC ";
		$result	= $this->SqlSrv->dbQuery($query);
		$numrows = $this->SqlSrv->dbNumRows($result);
		if($numrows){
			$arrEstrucTabla = $this->obtEstrucTabla($nomTabla);
			for( $i = 0 ; $i < $numrows ; $i++ ) {
				$row = $this->SqlSrv->dbGetRow($result,$i);
				for($x = 0; $x < count($arrEstrucTabla); $x++){
					$arrReturn[$i][$arrEstrucTabla[$x]['X3_CAMPO']]= $row[$arrEstrucTabla[$x]['X3_CAMPO']];
				}
			}
		}
		return $arrReturn;		
	}
	
	function obtSPDetalle($OP='', $cuit=''){
		$arrReturn = array();
		if(!empty($cuit) && strlen($cuit) == 11 ){
			$query	 = "SELECT * ";
			$query  .= "FROM spd ";
			$query  .= "INNER JOIN spp ON spd.CUITEMPRESA = spp.CUITEMPRESA AND spd.PD_OP = spp.PP_OP ";
			$query  .= "WHERE spd.CUITEMPRESA = '$cuit' AND spd.PD_OP = '$OP' ";
			$result	 = $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				for( $i = 0; $i < $numrows; $i++ ){
					$arrReturn[$i] = $this->SqlSrv->dbGetRow($result,$i);
				}
			}
		}
		return $arrReturn;
	}
	
	function obtDatosAdmin($tabla='', $cuit=''){
		$arrReturn = array();
		if(!empty($cuit) && strlen($cuit) == 11 ){
			if(!empty($tabla)){
				$query	 = "SELECT * FROM ";
				$query	.= "$tabla ";
				$query	.= "WHERE CUITEMPRESA = '$cuit' ";
				$result	 = $this->SqlSrv->dbQuery($query);
				$numrows = $this->SqlSrv->dbNumRows($result);
				if($numrows){
					for( $i = 0; $i < $numrows; $i++ ){
						$arrReturn[$i] = $this->SqlSrv->dbGetRow($result,$i);
					}
				}
			}
		}
		return $arrReturn;
	}
	
	function updateActOP($cuitUsuario=''){
		if( !empty($cuitUsuario) ){
			$FECHA = date('Ymd');
			$HORA  = date('Hi');
			$query = "UPDATE sxe SET XE_FEC_ACT_OP = '$FECHA' WHERE XE_CUIT = '$cuitUsuario' ";
			$this->SqlSrv->dbQuery($query);
		}
	}
	
	function updateActFC($cuitUsuario=''){
		if( !empty($cuitUsuario) ){
			$FECHA = date('Ymd');
			$HORA  = date('Hi');
			$query = "UPDATE sxe SET XE_FEC_ACT_FC = '$FECHA' WHERE XE_CUIT = '$cuitUsuario' ";
			$this->SqlSrv->dbQuery($query);
		}
	}
	
	
	function obtEstadosFacturas($cuit=""){
		$arrReturn = array();
		if(!empty($cuit)){
			$query	 = "SELECT * FROM ";
			$query	.= "sfe ";
			$query	.= "WHERE CUITEMPRESA = '$cuit' ";
			$result	 = $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				for( $i = 0; $i < $numrows; $i++ ){
					$arrReturn[$i] = $this->SqlSrv->dbGetRow($result,$i);
				}
			}
		}
		return $arrReturn;
	}
	
}	
?>