<?php
	class UserAdmin{
	 
		var $CLASS_INFO ;        // Info de la Clase
		var $SqlSrv ;          // Clase SqlServer
		// var $userid ;          // Usuario Logeado
		// var $password ;         // Password
		
		function UserAdmin($SqlServer){
		
			$this->CLASS_INFO['NAME']   = "UserAdmin" ;
			$this->CLASS_INFO['VERSION'] = "1.0" ;
			if ($SqlServer->CLASS_INFO['NAME'] != "SqlServer" || $SqlServer->CLASS_INFO['VERSION'] < "1.0"){
				die("UserAdmin: Esta clase requiere SqlServer 1.0 o superior.");
			}
			$this->SqlSrv = $SqlServer ;
			return TRUE;
		}
		
		function LoginUser($userid , $password){
			// $password = md5($password);
			$arrResult = array();
			$query = "SELECT * FROM sxu ";
			// $query .= "WHERE XU_EMAIL='$userid' and XU_CLAVE='$password' ";
			$query .= "WHERE (XU_CUIT='$userid' OR XU_USUARIO='$userid') and XU_CLAVE='$password' ";
			$result = $this->SqlSrv->dbQuery($query) ;				
			if ( $this->SqlSrv->dbNumRows($result) ){
				$row = $this->SqlSrv->dbGetRow($result,0);
				$this->updateLogin($row['XU_CUIT']);
				$arrResult = $row;
			}
			
			return $arrResult;
		}
		
		function LoginUserAdmin($userid){
			$arrResult = array();
			$query = "SELECT * FROM sxe ";
			$query .= "WHERE XE_CUIT='$userid'  ";
			$result = $this->SqlSrv->dbQuery($query) ;
			if ($this->SqlSrv->dbNumRows($result)){
				$row = $this->SqlSrv->dbGetRow($result,0) ;
				$arrResult = $row;
			}
			return $arrResult;
		}
		
		function selectUserByCuit( $arrCuit='' , $cuitEmpresa=''){
			$arrResult = array();
			$query = "SELECT * FROM sxu ";
			if(!empty($cuitEmpresa)){
				$query = "INNER JOIN sxue ON sxu.XU_CUIT = sxue.XUE_CUITUSUARIO AND sxue.XUE_CUITEMPRESA = '$cuitEmpresa' ";
			}
			$query.= "WHERE XU_CUIT in ($arrCuit) ";
			$result = $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);	
			if($numrows){
				for( $i = 0 ; $i < $numrows ; $i++ ) {
					$arrResult[$i] = $this->SqlSrv->dbGetRow($result,$i);
				}
			}			
			return $arrResult;
		}
		
		function recoverPassword($correo='', $login=''){
			$arrResult = array();
			if( !empty($correo) && !empty($login) ){
				$query	= "SELECT * FROM sxu ";
				$query .= "WHERE XU_CUIT = '$login' AND XU_EMAIL = '$correo' ";
				$result = $this->SqlSrv->dbQuery($query);
				$numrows = $this->SqlSrv->dbNumRows($result);	
				if($numrows){
					$arrResult = $this->SqlSrv->dbGetRow($result,0);
				}
			}
			return $arrResult;
		}
		
		function updatePassword( $correo='', $login='', $clave='' ){			
			if( !empty($correo) && !empty($login) ){
				$query	= "UPDATE sxu SET XU_CLAVE = '$clave' WHERE XU_CUIT = '$login' AND XU_EMAIL = '$correo' ";
				$this->SqlSrv->dbQuery($query);
			}
		}
		
		function updateUser( $CUIT, $XU_NOMBRE, $XU_EMAIL, $XU_DIRECCION, $XU_CODPOSTAL, $XU_LOCALIDAD, $XU_PROVINCIA, $XU_PAIS, $XU_IIBB ){			
			$query	= "UPDATE sxu SET XU_NOMBRE = '$XU_NOMBRE', XU_EMAIL = '$XU_EMAIL', XU_DIRECCION = '$XU_DIRECCION', XU_CODPOSTAL = '$XU_CODPOSTAL', XU_LOCALIDAD = '$XU_LOCALIDAD', XU_PROVINCIA = '$XU_PROVINCIA', XU_PAIS = '$XU_PAIS', XU_IIBB = '$XU_IIBB' ";
			$query .= "WHERE XU_CUIT = '$CUIT' ";
			// echo $query;
			$this->SqlSrv->dbQuery($query);
		}
		
		function getChangePassaword( $user = '', $email='' ){
			$arrResult = array();
			$query	= "SELECT * FROM sxu ";
			$query .= "WHERE XU_CUIT = '$user' AND XU_EMAIL = '$email' ";
			$result = $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);	
			if($numrows){
				$arrResult = $this->SqlSrv->dbGetRow($result,0);
			}
			return $arrResult;
		}
		
		function updateFirstEntry( $correo='', $login='', $val=0 ){
			if( !empty($correo) && !empty($login) ){
				$query	= "UPDATE sxu SET XU_CLAVE_REC = $val WHERE XU_CUIT = '$login' AND XU_EMAIL = '$correo' ";
				$this->SqlSrv->dbQuery($query);
			}	
		}
		
		function updateLogin( $cuitUsuario='' ){
			if( !empty($cuitUsuario) ){
				$FECHA = date('Ymd');
				$HORA  = date('Hi');
				$query = "UPDATE sxu SET XU_FEC_ULT_ING = '$FECHA', XU_HORA_ULT_ING = '$HORA' WHERE XU_CUIT = '$cuitUsuario' ";
				$this->SqlSrv->dbQuery($query);
			}
		}
		
		function getCompany( $cuitEmpresa='' ){
			$arrResult = array();
			$query	= "SELECT XE_CUIT, XE_NOMBRE FROM sxe ";
			$query .= "WHERE XE_CUIT = '$cuitEmpresa' ";
			$result = $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);	
			if($numrows){
				$arrResult = $this->SqlSrv->dbGetRow($result,0);
			}
			return $arrResult;	
		}
		
		function getUser($cuitUsuario){
			$query		= "";
			$numrows 	= 0;
			if( !empty($cuitUsuario) ){
				$query  = "SELECT * FROM sxu WHERE XU_CUIT = '$cuitUsuario' ";
				$result	= $this->SqlSrv->dbQuery($query);
				$numrows = $this->SqlSrv->dbNumRows($result);
			}
			if($numrows){
				return true;
			}else{
				return false;
			}
		}
		
		
		
		function obtRelEmpresaUsuario($cuitUsuario, $cuitEmpresa){
			$query		= "";
			$numrows 	= 0;
			if( !empty($cuitUsuario) && !empty($cuitEmpresa) ){
				$query  = "SELECT * FROM sxue WHERE XUE_CUITUSUARIO = '$cuitUsuario'AND XUE_CUITEMPRESA = '$cuitEmpresa' ";
				$result	= $this->SqlSrv->dbQuery($query);
				$numrows = $this->SqlSrv->dbNumRows($result);
			}
			if($numrows){
				return true;
			}else{
				return false;
			}
		}
		
		function insertRelacionUsuProv($cuitUsuario, $cuitEmpresa, $lugar=''){
			$query = "";
			if( !empty($cuitUsuario) && !empty($cuitEmpresa) ){
				$query = "INSERT INTO sxue SET XUE_CUITUSUARIO = '$cuitUsuario', XUE_CUITEMPRESA = '$cuitEmpresa', XUE_DHPAG = '$lugar' ";
			}	
			return $this->SqlSrv->dbQueryInsert($query);
		}
		
		function updRelacionUsuProv($cuitUsuario, $cuitEmpresa, $lugar=''){
			$query = "";
			if(!empty($cuitUsuario) && !empty($cuitEmpresa) ){
				$query = "UPDATE sxue SET XUE_DHPAG = '$lugar' WHERE XUE_CUITUSUARIO = '$cuitUsuario' AND XUE_CUITEMPRESA = '$cuitEmpresa' ";
			}
			// echo $query;
			return $this->SqlSrv->dbQuery($query);
		}
		
		
		function updUser( $arrUser=array() ){
			$valores = '';
			$query = "UPDATE sxu SET XU_USUARIO = '".$arrUser['XU_USUARIO']."', ";
			$query.= "XU_NOMBRE = '".$arrUser['XU_NOMBRE']."', ";
			$query.= "XU_EMAIL = '".$arrUser['XU_EMAIL']."', ";
			$query.= "XU_CLAVE = '".$arrUser['XU_CLAVE']."', ";
			$query.= "XU_DIRECCION = '".$arrUser['XU_DIRECCION']."', ";
			$query.= "XU_CODPOSTAL = '".$arrUser['XU_CODPOSTAL']."', ";
			$query.= "XU_LOCALIDAD = '".$arrUser['XU_LOCALIDAD']."', ";
			$query.= "XU_PROVINCIA = '".$arrUser['XU_PROVINCIA']."', ";
			$query.= "XU_PAIS = '".$arrUser['XU_PAIS']."', ";
			$query.= "XU_IIBB = '".$arrUser['XU_IIBB']."'  ";
			$query.= "WHERE XU_CUIT = '".$arrUser['XU_CUIT']."' ";
			// echo $query;
			$this->SqlSrv->dbQuery($query);
		}
	

		function getUserCpl( $cuitUsuario='', $cuitEmpresa='' ){
			$arrReturn = array();
			$query	= "SELECT * ";
			$query .= "FROM sxu ";
			$query .= "INNER JOIN sxue ON sxu.XU_CUIT = sxue.XUE_CUITUSUARIO ";	
			$query .= "WHERE XUE_CUITEMPRESA = '$cuitEmpresa' ";
			$query .= "AND XUE_CUITUSUARIO = '$cuitUsuario' ";
			// echo $query;
			$result = $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);	
			if($numrows){
				$arrReturn = $this->SqlSrv->dbGetRow($result,0);
				$arrReturn['XU_LUGDIA_PAGO'] = $arrReturn['XUE_DHPAG'];
			}
			return $arrReturn;	
		}		
		
	}
?>