$(document).ready(function() {

	if($.browser.msie && parseFloat($.browser.version) < 8){
		mostrarMsj('Navegador no compatible. Utilice la versin 8 o superior');
	}
	
	$('#csv_separador').change(function() {
	  var sep1 = $('#csv_separador').val();
	  $('#sep_csv').val(sep1);
	});

	$('#dec_separador').change(function() {
		var sep2 = $('#dec_separador').val();	
		$('#sep_dec').val(sep2);
	});
	
	
	if (screen.width + "x" +screen.height == "1024x768"){
		// alert(1);
	}	
	
	$('#editPerfil').click(function(){
		editPerfil();
	});	
	
	$('img.f3_busc').click(function(){
		var func = $(this).attr("id").split("-");
		f3_func.search(func[1], $(this).attr("id"));
	});
	$('a.parent').click(function(){
		var accion = $(this).attr("id");
		if( url_action.length > 0){		
			url_action = url_action+"&abmFunc="+accion;
			$(location).attr('href',url_action);
		}
	});	

	_ejecTab('spp',1);
	
	$("#on-tabs-1").click(function(){
		_ejecTab('spp',1);
    });	
	
	$("#on-tabs-2").click(function(){
		_ejecTab('sfp',2);
    });
	
	$('.editUser').click(function(){
		if ( $('#m_editUser').css('display') == 'none' ){
			$('#m_editUser').slideDown();
			$('.datos-usuario').css('background-color', '#45B9E3');
			$('.datos-usuario').css('color', '#fff');
			$('.editUser').css('color', '#fff');			
		}else{
			$('#m_editUser').slideUp();
			$('.datos-usuario').css('background-color', '#fff');
			$('.datos-usuario').css('color', '#000');
			$('.editUser').css('color', '#000');
		}	
    });
	
	var box = null;
	$("#on-tabs-3").click(function(){
		_ejecChat();
		$('#ejecTab').val(0);
	});
	
	$("#on-tabs-0").click(function(){
		$('#ejecTab').val(3);
		CancelarAMB();
	});
	
	$("#on-tabs-5").click(function(){
		mCarga(true);					
		$('#ejecTab').val(5);
		CancelarAMB();
		$.post('ajax/gridOC.php', function(data) {
			mCarga(false);
			$("#dataOC").html('');
			$("#dataOC").html(data);
			return true;
		});
		return false;
	});
	/*
	###CHAT		
	*/

	$('#postMsg').click(function(){
		mCarga(true);		
		$.post('ajax/insertMessage.php', $('#chat-form').serialize(), function(data) {
			mCarga(false);
			$('#chat-form-mensaje').val('');
			$('#lst_mensaje').show();
			$('#c_caja_msj').hide();
			_ejecChat();
		});
		return false;
    });	
	
	/* OP  */
	

		
	
	$("#nuevo_msj").click(function(){
		$('#c_caja_msj').show();
		$('#lst_mensaje').hide();
		// $('#c_msj_detalle').hide();
	});
	
	$("#volver_msj").click(function(){
		$('#lst_mensaje').show();
		$('#c_caja_msj').hide();
		// $('#c_msj_detalle').hide();
	});
	
	
	newMsgPending();
	setInterval(function() {
		newMsgPending();
	},60000);
	
	$('#searchGridChat').click(function(){
		_ejecChatSetInterval();
	});
	
	$('#searchGridFact').click(function(){
		_ejecFact();
	});
			
	$('#searchGridOP').click(function(){
		f3_func.searchGridOP();
	});
	
	$('#searchEst').click(function(){
		alert(1);
	});
	
	
	/* IMPORTADORES */
	$('#iOrdensPago').click(function(){
		showIframe();
		$('#iframeABM').attr('src', './herramientas/importadores/inputFileOP.php');
	});
	$('#iFacturas').click(function(){		
		showIframe();
		$('#iframeABM').attr('src', './herramientas/importadores/inputFileFC.php');
	});
	$('#iUsuarios').click(function(){
		showIframe();
		$('#iframeABM').attr('src', './herramientas/importadores/inputFileUP.php');
	});	
	$('#iOrdenesCompra').click(function(){
		showIframe();
		$('#iframeABM').attr('src', './herramientas/importadores/inputFileOC.php');
	});	
	/* IMPORTADORES */
	
	
	/* ABM - funciones */
	$('#sendSxu').click(function(){
		ambPorModulo._insert();
	});
	
	$('#sendSmt').click(function(){
		ambPorModulo._insert();
	});
	
	$('#mEmpresa').click(function(){
		var abmUrl = 'table=sxe';
		showIframe();
		$('#iframeABM').attr('src', './herramientas/generarABM.php?'+abmUrl);
	});
	/* ABM */
	
	/* LISTADOS - Motivos */
	$('#lUsuarios').click(function(){
		hideIframe();
		f3_func.searchNormal('sxu');
	});
	
	$('#lMotivos').click(function(){
		hideIframe();
		f3_func.searchNormal('smt');
	});
	
	$('#lContables').click(function(){
		hideIframe();
		f3_func.searchNormal('smc');
	});
	
	$('#lEstados').click(function(){
		hideIframe();
		f3_func.searchNormal('sfe');
	});
	
	$('#lMonedas').click(function(){
		hideIframe();
		f3_func.searchNormal('sdiv');
	});
	
	/* LISTADOS - Motivos */
				
});

function changePass(){
	$.post('ajax/returnChangePassword.php', function(data){
		$('#caja_msj').height(150);
		if( data != '' ){
			mostrarMsj(data, 400, 200, 'Cambiar Clave');
		}
	});
}

function volverGrilla(){
	$('#lst_mensaje').show();
	$('#c_caja_msj').hide();
	$('#c_msj_detalle').hide();
}

function sendMailUser(){
	$.post('ajax/sendMail.php', $('#userForm').serialize(), function(data) {
		mostrarMsj("El/Los avisos han sido enviado/s correctamente! ");
	});
	return false;
}

function CancelarAMB(){
	$('#gridConsABM').html('');
	$('#gridConsABM').css('display','none');
	$('#iframeABM').attr('src','');
	$('#iframeABM').css('display','none');
}

function lUsuarios(){	
	hideIframe();
	f3_func.searchNormal('sxu');	
}

function mUsuario(){	
	var abmUrl = 'table=sxu';
	showIframe();
	$('#iframeABM').attr('src', './herramientas/generarABM.php?'+abmUrl);
}

function mMotivos(){
	var abmUrl = 'table=smt';
	showIframe();
	$('#iframeABM').attr('src', './herramientas/generarABM.php?'+abmUrl);
}

function mContables(){
	var abmUrl = 'table=smc';
	showIframe();
	$('#iframeABM').attr('src', './herramientas/generarABM.php?'+abmUrl);
}

function mEstados(){
	var abmUrl = 'table=sfe';
	showIframe();
	$('#iframeABM').attr('src', './herramientas/generarABM.php?'+abmUrl);
}

function mMonedas(){
	var abmUrl = 'table=sdiv';
	showIframe();
	$('#iframeABM').attr('src', './herramientas/generarABM.php?'+abmUrl);
}
	
function showIframe(){	
	$('#iframeABM').css('display','block');
	$('#gridConsABM').html('');
	$('#gridConsABM').css('display','none');
}

function hideIframe(){
	$('#iframeABM').attr('src','');
	$('#iframeABM').css('display','none');
	$('#gridConsABM').css('display','block');
}		

function newMsgPending(){
	$.ajax({
		type: "POST",
		url: "./ajax/returnPendingChat.php",
		success: function(r){
			if( parseInt(r) > 0){					
				$('#msj_pendiente').show();
				$('#msj_pendiente').html(r);
			}else{
				$('#msj_pendiente').hide();
			}
		}
	 });
}


function prueba1(idChat){
		$('#c_msj_detalle').show();		
		$('#idxChat').val(idChat);
		$('#infoChat').html('');
		f3_func.searchRowChat(idChat);
		$('#lst_mensaje').hide();
		$('#c_caja_msj').hide();
}

function cleanSearch(){
	$('#pagina').val(0);
	$('#desdeFac').val('');
	$('#hastaFac').val('');
	$('#fdesde').val('');
	$('#desdeOP').val('');
	$('#hastaOP').val('');	
	$('#fhasta').val('');
}

function _ejecTab(func, v1){
	// var cuit  = $('#empresa').val();
	$('#func').val(func);
	$('#ejecTab').val(v1);
	cleanSearch();
	$('#flexme1').remove();
	mCarga(true, 'Cargando...');
	$.ajax({
		type: "POST",
		url: "./ajax/grid.php",
		// dataType: 'json',
		data: 'func='+func,
		success: function(r){
			//if(r.status == 'ok'){
			if(r){
				// $('#cTabs-'+v1).html(r.html);
				$('#cTabs-'+v1).html(r);
				mCarga(false);
				if(v1 == 1)
					returnMessage();							
			}
		}
	}).complete(function(){
		changePass();
	});
}

ambPorModulo = {
	_insert:function(){
		var datosInput = "";
		var errorDatos = false;
		var msj = "";
		for( i = 0; i < arrForm.length; i++ ){
			if( arrForm[i]['X3_OBRIGAT'] == 'S' ){
				if( ( $("#"+arrForm[i]['X3_CAMPO']).val() ).length > parseInt(arrForm[i]['X3_TAMANHO']) ){
					$("#"+arrForm[i]['X3_CAMPO']).removeClass("alertRojo").addClass("alertRojo");
					errorDatos = true;
					msj += "El campo "+arrForm[i]['X3_TITULO']+" supera el largo permitido!\r\n";
					// mostrarMsj(msj);
				}else{
					$("#"+arrForm[i]['X3_CAMPO']).removeClass("alertRojo");
				}
				if( ( $("#"+arrForm[i]['X3_CAMPO']).val() ).length < 1 ){
					$("#"+arrForm[i]['X3_CAMPO']).removeClass("alertRojo").addClass("alertRojo");
					errorDatos = true;
					msj += "El campo "+arrForm[i]['X3_TITULO']+" es obligatorio!\r\n";
				}
			}
			switch(arrForm[i]['X3_TIPO']){
				case 'C':
					
				break;
				case 'N':
					if( isNaN( $("#"+arrForm[i]['X3_CAMPO']).val() ) ){
						errorDatos = true;
						msj += "El valor ingresado en el campo "+arrForm[i]['X3_TITULO']+" no es correcto!\r\n";
						$("#"+arrForm[i]['X3_CAMPO']).removeClass("alertRojo").addClass("alertRojo");
					}
				break;
				case 'F':
					if( isNaN( $("#"+arrForm[i]['X3_CAMPO']).val() ) ){
						errorDatos = true;
						msj += "El valor ingresado en el campo "+arrForm[i]['X3_TITULO']+" no es correcto!\r\n";
						$("#"+arrForm[i]['X3_CAMPO']).removeClass("alertRojo").addClass("alertRojo");
					}
				break;
				// default:
			}
		}
		if(!errorDatos){
			for(i = 0; i < arrForm.length; i++){
				datosInput += arrForm[i]['X3_CAMPO']+ "=" + $("#"+arrForm[i]['X3_CAMPO']).val() + "&";
			}
			datosInput += "table="+arrForm[0]['X3_ARQUIVO'];
			mostrarCarga(true);
			$.ajax({
				type: "POST",
				dataType: 'json',
				url: "../ajax/insertModulo.php",
				data: datosInput,
				success: function(r){
					if(r.status == "ok_M"){
						msj="";
						mostrarMsj("Se modifico Correctamente!");
						
						$('#iframeABM').attr('src','');
						f3_func.searchNormal('sxu');
					}
					if(r.status == "ok_I"){
						msj="";
						mostrarMsj("Se inserto Correctamente!");
						
						$('#iframeABM').attr('src','');
						f3_func.searchNormal('sxu');

					}
					if(r.status == "error"){
						msj="";
						mostrarMsj("No se ha podido insertar el registro!");
					}
				}
			});
		}else{
			// mostrarCarga(false);
			mostrarMsj(msj);
		}
	},
	//eliminar
	_delete:function(func, idx){
		$.ajax({
			type: "POST",
			// dataType: 'json',
			url: "./ajax/deleteRow.php",
			data: 'func='+func+'&idx='+idx,
			success: function(r){
				if(r){
					$('#dialog-confirm').dialog('close');
				}
			}
		});		
	}
	//modificar	
	//filtrar
}


f3_func = {
	search:function(func, idObj,W,H){
		_W = (W || 400);
		_H = 500;
		$.ajax({
			type: "POST",
			// dataType: 'json',
			url: "./ajax/f3_func.php",
			data: 'func='+func+'&idObj='+idObj,
			success: function(r){
				if(r){
					mostrarMsj(r, _W, _H, 'Seleccionar');
				}
			}
		});
	},
	searchNormal:function(func){
		$('#func').val(func);
		$('#pagina').val(0);
		$.ajax({
			type: "POST",
			// dataType: 'json',
			url: "./ajax/gridAdmin.php",
			data: 'func='+func,
			success: function(r){
				if(r){
					$('#gridConsABM').html(r);
				}
			}
		});
	},
	searchNoPopUp:function(func, idObj){
		var cuit = $('#empresa').val();
		$.ajax({
			type: "POST",
			url: "./ajax/gridChat.php",
			data: 'func='+func+'&idObj='+idObj+'&cuit='+cuit,
			success: function(r){			
				if(r){
					$('#'+idObj).html(r);
					// mostrarMsj(r, _W, _H, 'Seleccionar');
				}
			}
		});		
	},
	searchGridChat:function(func, idObj){
		var cuit = $('#empresa').val();
		$.ajax({
			type: "POST",
			url: "./ajax/gridChat.php",
			data: 'func='+func+'&idObj='+idObj+'&cuit='+cuit+'&filtro='+$('#filtro_motivo').val()+'&estados='+$('#estados').val()+'&desde='+$('#desde').val()+'&hasta='+$('#hasta').val(),
			success: function(r){			
				if(r){
					$('#'+idObj).html(r);
				}
			}
		});
	},
	searchRowChat:function(idChat){
		$('#infoChat').html('');
		$.ajax({
			type: "POST",
			url: "./ajax/returnChat.php",
			data: 'idx='+idChat,
			success: function(r){
				if(r){
					$('#infoChat').html('');
					$('#infoChat').html(r);
				}
			}
		});
	},
	searchGridFact:function(){
		var func   = 'sfp';
		var pagina = $('#pagina').val(0);
		$('#flexme1').remove();
		mCarga(true, 'Cargando...');
		$.ajax({
			type: "POST",
			url: "./ajax/grid.php",
			// dataType: 'json',
			data: 'func='+func+'&estadosFac='+$('#estadosFac').val()+'&cuit='+$('#cuit-proveedor').val()+'&desdeFac='+$('#desdeFac').val()+'&hastaFac='+$('#hastaFac').val()+'&pagina='+pagina,
			success: function(r){
				if(r){
					$('#cTabs-2').html(r);
					mCarga(false);
				}
			}
		});
	},
	searchGridOP:function(){
		var func  = 'spp';
		var pagina = $('#pagina').val(0);
		$('#flexme1').remove();
		mCarga(true, 'Cargando...');
		$.ajax({
			type: "POST",
			url: "./ajax/grid.php",
			// dataType: 'json',
			data: 'func='+func+'&ordenPago='+$('#ordenPago').val()+'&cuit='+$('#cuit-proveedor-op').val()+'&desdeFac='+$('#desdeOP').val()+'&hastaFac='+$('#hastaOP').val()+'&pagina='+pagina,
			success: function(r){
				if(r){
					$('#cTabs-1').html(r);
					mCarga(false);
				}
			}
		});
	}
}

function returnMessage(){
	var _W = 500;
	var _H = 300;
	var cuit  = $('#empresa').val();
	$.ajax({
		type: "POST",
		dataType: 'json',
		url: "./ajax/returnMessage.php",
		data: 'empresa='+cuit,
		success: function(r){
			if( r.status == 'ok' ){
				var html= "";
				// html 	= '<img src="./img/logos/'+r.cuit+'.png" /><div class="fix"></div>'+r.msg+'<div class="fix"></div>';
				html = r.msg;
				mostrarMsj(html, _W, _H, 'Aviso');
			}else{
				// mostrarCarga(false);
			}
		}
	});
}


function _ejec(obj){
	var func = (obj).split("-");
	f3_func.search(func[1], obj, 800, 600);
}

function _ejecChat(){
	f3_func.searchNoPopUp('schat', 'log');
}

function _ejecChatSetInterval(){
	f3_func.searchGridChat('schat', 'log');
}

function _ejecFact(){
	f3_func.searchGridFact();
}

function mostrarMsj(msj, wid, heg, tit){
	var w_ = wid || 400;
	var h_ = heg || 175;
	var t_ = tit || 'Atencin';
	var h_CM = h_ - 50;
	$('#caja_msj').height(h_CM);
	$('#caja_msj').html("");
	$('#caja_msj').html(msj);
	$('#loader').dialog({width:w_, height:h_,title:t_,resizable:false,modal:true,hide: 'slide'});
}

function viewLineOrder(msj, wid, heg, tit, resize){
	var w_ = wid || 400;
	var h_ = heg || 175;
	var t_ = tit || 'Atencin';
	var h_CM = h_ - 50;
	var resize_ = resize || false;
	$('#caja_msj').height(h_CM);
	$('#caja_msj').html("");
	$('#caja_msj').html(msj);
	$('#loader').dialog({width:w_, height:h_,title:t_,resizable:resize_,modal:true,hide: 'slide',position:{my: "left top",at: "left top", of: window }});
}

function mostrarCarga(mostrar){
	if(mostrar == true){
		$('#caja_msj').html('');
		$('#caja_msj').html('<img src="./img/ajax-loader1.gif" />');
		$('#loader').dialog({width:300, height:175,title:'Atencin',resizable:false,modal:true,hide: 'slide'});
	}else{
		$('#loader').dialog('close');
	}
}


function mCarga(mostrar, tit){
	var _tit = tit || 'Cargando...';
	if(mostrar == true){
		$('#caja_msj').height(100);
		$('#caja_msj').html('');
		$('#caja_msj').html('<div style="width:100%;text-align:center;line-height:100px;"><img src="./img/ajax-loader1.gif" /></div>');
		$('#loader').dialog({width:300, height:175,title:_tit,resizable:false,modal:true,hide: 'slide'});
	}else{
		$('#loader').dialog('close');
	}
}

function selectTr(idx, t){
	showIframe();
	var abmUrl = 'table='+t+'&idReg='+idx+'&cam=XU_CUIT';
	$('#iframeABM').attr('src', './herramientas/generarABM.php?'+abmUrl);
}

function deleteTR(idx, t){
	dialogoConfirm('Desea eliminar el registro?', 0, 0, 'Atencin','',t,idx);
}

var url_action = "";

function touchTr(obj, tabla, campo){	
	url_action = "tpl.php?table="+tabla+"&idReg="+obj+"&cam="+campo;	
}

function selectF3(idSelect, idObj){
	var idObj_ = idObj.split("-");	
	$('#'+idObj_[2]).val(idSelect);
	mostrarCarga(false);
}

function dialogoConfirm(msj, wid, heg, tit, url, table, idx){
	var w_ = wid || 300;
	var h_ = heg || 200;
	var t_ = tit || 'Atencin';
	var u_ = url || '';
	var nT = table;
	if(table == 'sxu'){
		nT = 'sxue';
	}
	$('#caja_conf').html("");
	$('#caja_conf').html(msj);
	$('#dialog-confirm').dialog({
		resizable:false,
		width:w_,
		height:h_,
		title:t_,
		modal:true,
		hide: 'slide',
		buttons:{
			'ELIMINAR':function(){
				ambPorModulo._delete(nT, idx);
				$('#loadingAbm').css('display', 'block');
				f3_func.searchNormal(table);
				$('#loadingAbm').css('display', 'none');
			},
			'CANCELAR':function(){
				$(this).dialog('close');
			}
		}
	});
}

function editPerfil(){
	var msg = '';
	msg = '<iframe src="herramientas/perfil.php" border="0" width="650" height="400"></iframe>';
	$('#caja_msj').height(450);
	mostrarMsj(msg, 700, 500, 'Editar Perfil');
	return false;
}

function exportXLS(){
	var cuit = '';
	if( $('#func').val() == 'spp' ){
		cuit = $('#cuit-proveedor-op').val();
	}else{
		cuit = $('#cuit-proveedor').val();
	}	
	$('#cuit').val(cuit);	
	$('#caja_separador').show();
	
	
	$('#dialog-confirm').dialog({
		resizable:false,
		modal:true,
		hide: 'slide',
		buttons:{
			'CONFIRMAR':function(){
				var inputs = $("#frmPage").serialize();
				var url    = 'herramientas/exportXLS.php?'+inputs;
				// location.href = url;
				$('#caja_separador').hide();
				$(this).dialog('close');
				location.href = url;
			},
			'CANCELAR':function(){
				$(this).dialog('close');
			}
		}
	});

}

