<?php
class NumToString{
/*
Script Name: *NumToString
Description: Permite convertir numeros a letras mediante el uso de una clase.
Script Version: 1
Author: Ahrens Eric
*/
		var $resultado;
		var $antes_con_despues='CON';
		var $despues = 'CENTAVOS';
		var $antes_sin_despues='';
		/*
			Constructor
		*/
		function NumToString($valor=''){
			if(is_numeric($valor))
				return $this->convertir($valor);
			return false;
		}
		/*
			Retorna el valor de la centena que se le envie como parametro.
		*/
		function centenas($centenas){
			$VCentena = 0;
			$valores = array(
				'CERO',
				'UNO' ,
				'DOS' ,
				'TRES',
				'CUATRO',
				'CINCO' ,
				'SEIS'  ,
				'SIETE',
				'OCHO' ,
				'NUEVE',
				'DIEZ' ,
				'ONCE' ,
				'DOCE' ,
				'TRECE',
				'CATORCE',
				'QUINCE',
				20=>'VEINTE',
				30=>'TREINTA',
				40=>'CUARENTA',
				50=>'CINCUENTA',
				60=>'SESENTA',
				70=>'SETENTA',
				80=>'OCHENTA',
				90=>'NOVENTA',
				100=>'CIENTO',
				101=>'QUINIENTOS',
				102=>'SETECIENTOS',
				103=>'NOVECIENTOS', 
				105=>'CIENTOS',
				// 106=>'DOSCIENTOS',
				// 107=>'TRESCIENTOS',
				// 108=>'CUATROCIENTOS',					
			);
			// var_dump($valores[$centenas]);
			// pr($valores, $centenas);
			switch($centenas){
				case '1': return $valores[100]; break;						
				case '5': return $valores[101]; break;
				case '7': return $valores[102]; break;
				case '9': return $valores[103]; break;
				// case '2': return $valores[106]; break;
				// case '3': return $valores[107]; break;
				// case '4': return $valores[108]; break;
				// default: return $valores[$VCentena];
				default: return $valores[$centenas];
			}
		}
		/*
			Retorna el valor de la unidad que se le envie como parametro.
		*/
		function unidades($unidad){
			$valores = array(
				'CERO',
				'UN',
				'DOS',
				'TRES',
				'CUATRO',
				'CINCO',
				'SEIS',
				'SIETE',
				'OCHO',
				'NUEVE',
				'DIEZ',
				'ONCE',
				'DOCE',
				'TRECE',
				'CATORCE',
				'QUINCE',
				20=>'VEINTE',
				30=>'TREINTA',
				40=>'CUARENTA',
				50=>'CINCUENTA',
				60=>'SESENTA',
				70=>'SETENTA',
				80=>'OCHENTA',
				90=>'NOVENTA',
				100=>'CIENTO',
				101=>'QUINIENTOS',
				102=>'SETECIENTOS',
				103=>'NOVECIENTOS'
			);
		
			return $valores[$unidad];
		}
	
		/*
			Retorna el valor de la decena que se le envie como parametro
		*/
		function decenas($decena){
			$valores = array(
				'CERO',
				'UNO',
				'DOS',
				'TRES',
				'CUATRO',
				'CINCO',
				'SEIS',
				'SIETE',
				'OCHO',
				'NUEVE',
				'DIEZ',
				'ONCE',
				'DOCE',
				'TRECE',
				'CATORCE',
				'QUINCE',
				20=>'VEINTE',
				30=>'TREINTA',
				40=>'CUARENTA',
				50=>'CINCUENTA',
				60=>'SESENTA',
				70=>'SETENTA',
				80=>'OCHENTA',
				90=>'NOVENTA',
				100=>'CIENTO',
				101=>'QUINIENTOS',
				102=>'SETECIENTOS',
				103=>'NOVECIENTOS',
				105=>'CIENTOS'
			);	
			return $valores[$decena];
		}
	
	
		function evalua($valor){
				if($valor==0)
					return 'CERO';
					
				$decimales = 0;
				$letras = '';
				while($valor!=0){
						// Validamos si supera los 100 millones
						if($valor>=1000000000)
							return 'Límite de aplicación exedido.';
						
						//Centenas de Millón
						if (($valor<1000000000) and ($valor>=100000000)){
							if ((intval($valor/100000000)==1) and (($valor-(intval($valor/100000000)*100000000))<1000000))
									$letras.=(string)'CIEN MILLONES ';
								else{
									$letras.=$this->centenas(intval($valor/100000000));
									If ((intval($valor/100000000)<>1) and (intval($valor/100000000)<>5) and (intval($valor/100000000)<>7) and (intval($valor/100000000)<> 9))
											$letras.=(string)'CIENTO ';
										else
											$letras.=(string)' ';
								}
							$valor=$valor-(Intval($valor/100000000)*100000000);
						}
			
						//Decenas de Millón
						if(($valor<100000000) and ($valor>=10000000)){
							if(intval($valor/1000000)<16){
								$tempo=$this->decenas(intval($valor/1000000));
								$letras.=(string)$tempo;
								$letras.=(string)' MILLONES ';
								$valor=$valor-(intval($valor/1000000)*1000000);
							}else{
								$letras.=$this->decenas(intval($valor/10000000)*10);
								$valor=$valor-(intval($valor/10000000)*10000000);
								if ($valor>1000000)
									$letras.=$letras.' Y ';
							}
						}
			
						//Unidades de Millon
						if(($valor<10000000) and ($valor>=1000000)){
							$tempo=(intval($valor/1000000));
							if($tempo==1){
								$letras.=(string)' UN MILLON ';
							}else{
						// var_dump($tempo, $valor);
								$tempo= $this->unidades(intval($valor/1000000));
								$letras.=(string)$tempo;
								$letras.=(string)" MILLONES ";
							}
							$valor=$valor-(intval($valor/1000000)*1000000);
						}
			
						//Centenas de Millar
						if( ( $valor < 1000000 ) and ( $valor >= 100000 ) ){
							$tempo	=(intval($valor/100000));
							$tempo2	=($valor-($tempo*100000));
							if(($tempo==1) and ($tempo2<1000)){
								$letras.=(string) 'CIEN MIL ';
							}else{
								$val_1 = intval($valor/100000);
								$tempo = $this->centenas(intval($valor/100000));
								$letras.=(string)$tempo;
								$tempo=(intval($valor/100000));
								if(($tempo <> 1) and ($tempo <> 5) and ($tempo <> 7) and ($tempo <> 9)){
									if( intval( $valor/100000) < 2 ){
										$letras.='CIENTO ';
									}else{
										$letras.='CIENTOS ';
									}
								}else{
									$letras.=(string)' ';
								}
							}
							$valor=$valor-(intval($valor/100000)*100000);
						}
			
						//Decenas de Millar
						if( ( $valor < 100000 ) and ( $valor >= 10000 ) ){
							$tempo=(intval($valor/1000));
							if( $tempo < 16 ){
								$tempo	=$this->decenas(intval($valor/1000));
								$letras.=(string)$tempo;
								$letras.=(string)' MIL ';
								$valor	= $valor - (intval($valor/1000)*1000);
							}else{
								$tempo	= $this->decenas( intval( $valor/10000) *10 );
								$letras.= (string) $tempo;
								$valor	= $valor-(intval(($valor/10000))*10000);
								if( $valor > 1000 ){
									if( $valor < 2000 ){
										$letras.=(string)' ';	
									}else{
										$letras.=(string)' Y ';
									}	
								}else{
									$letras.=(string)' MIL ';
								}	
							}
						}
			
			
						//Unidades de Millar
						if(($valor<10000) and ($valor>=1000)){
								$tempo=intval($valor/1000);
								if($tempo==1){
									$letras.=(string) 'UN';
								}else{
									$tempo=$this->unidades(intval($valor/1000));
									$letras.=(string) $tempo;
								}
								$letras.=(string)' MIL ';
								$valor=$valor-(intval($valor/1000)*1000);
							}
			
						//Centenas
						if(($valor<1000) and ($valor>99)){
							if ( ( intval($valor/100)==1 ) and ( ( $valor-(intval($valor/100)*100 ) ) < 1 ) ){
									$letras.='CIEN ';
							}else{
								$temp=(intval($valor/100));
								$l2=$this->centenas($temp);
								$letras.=(string) $l2;
								if(( intval( $valor/100) <> 1 ) and ( intval( $valor/100 ) <> 5 ) and ( intval($valor/100) <> 7 ) and ( intval( $valor/100 ) <> 9 ) ){
									if( intval( $valor/100) < 2 ){
										$letras.='CIENTO ';
									}else{
										$letras.='CIENTOS ';
									}
								}else{
									$letras.=(string)' ';
								}	
							}
							$valor=$valor-(intval($valor/100)*100);
						}
			
						//Decenas
						if(($valor<100) and ($valor>9)){
								if($valor<16){
										$tempo=$this->decenas(intval($valor));
										$letras.=$tempo;
										$Numer =$valor-Intval($valor);
									}else{
										$tempo=$this->decenas(Intval(($valor/10))*10);
										$letras.=(string)$tempo;
										$valor=$valor-(Intval(($valor/10))*10);
										if( $valor > 0.99 ){
											$letras.=(string)' Y ';
										}	
									}
							}
			
						//Unidades
						if(($valor<10) And ($valor>0.99)){
								// var_dump($valor);
								// die();
								$tempo=$this->unidades(intval($valor));
								$letras.=(string)$tempo;
								$valor=$valor-intval($valor);
								// $valor=$valor-$valor;
							}
			
						//Decimales
						if($decimales<=0)
							if(($letras <> "Error en Conversión a Letras") and (strlen(trim($letras))>0))
								$letras .= (string) ' ';
					return $letras;
				}
			}
		/*
			Retorna el texto de el numero enviado como parametros
		*/
		function convertir($valor){
			ob_start();
			$tt = (float) $valor;
			$tt = number_format($tt, 2, '.', '');
			$valor = intval($tt);
			
			
			$valores = array();
			$valores = explode(".",$tt);			

			// var_dump($valor, $valores);
			// die();
			$decimales = $valores[1]/100;
			
			$decimales = substr($decimales,strpos($decimales,'.'),3)*(100);
			$decimales= round($decimales);

			//Parte entera
			print $this->evalua($valor);
			
			//Parte Decimal
			if($decimales){
				print " $this->antes_con_despues ";
				print $this->evalua($decimales);
				print " $this->despues";
			}else{
				print " $this->antes_sin_despues ";
			}
			return $this->resultado = $texto = ob_get_clean();
			// $this->resultado = $texto = ob_get_clean();
			// var_dump($this->resultado);
		}
	}
?>