<?php
// class OC
class OC{

	var $SqlSrv ;          // Clase SqlServer
	var $CLASS_INFO ;        // Info de la Clase
	
	function OC($SqlServer) {

		$this->CLASS_INFO['NAME']	 = "OC";
		$this->CLASS_INFO['VERSION'] = "1.0" ;

		if ($SqlServer->CLASS_INFO['NAME'] != "SqlServer" || $SqlServer->CLASS_INFO['VERSION'] < "1.0") {
			die("Esta clase requiere SqlServer 1.0 o superior.");
		}
		
		$this->SqlSrv =  $SqlServer;
		return TRUE;
	}

	function ObtOC($cuitUsuario='', $cuitEmpresa='', $filtro ='', $estados='', $desde='', $hasta='', $pagina=0, $porPagina=10, $count=0){
		$desde = getCharDate($desde);
		$hasta = getCharDate($hasta);
		$arrReturn	= array();
		$offset 	= 0;
		
		if( !empty($count) && $count == 1){
			$query  = "SELECT COUNT(*) FROM  spoc ";
		}else{
			$query  = "SELECT spoc.CUITEMPRESA, spoc.CUITUSUARIO, spoc.POC_ORDCOMP, spoc.POC_FECHA, sxu.XU_NOMBRE FROM spoc ";	
			$query .= "LEFT JOIN sxu ON spoc.CUITUSUARIO = sxu.XU_CUIT ";	
		}		
		$query	   .= "WHERE CUITEMPRESA = '$cuitEmpresa' ";	
		$query 	   .= ( !empty($cuitUsuario) && ($cuitUsuario != 0) )? "AND CUITUSUARIO = '$cuitUsuario' " : "";
		// $query .= ( !empty($filtro) && $filtro!='00' )? "AND CHAT_MOTIVO = '$filtro' " : " ";
		// $query .= ( !empty($estados) && $estados!= 'TODO' )? "AND CHAT_ESTADO = '$estados' " : " ";
		$query .= ( !empty($desde) )? "AND POC_FECHA >= '$desde' " : " ";
		$query .= ( !empty($hasta) )? "AND POC_FECHA <= '$hasta' " : " ";
		if( empty($count) || $count == 0){
			$query .= "GROUP BY spoc.CUITEMPRESA, spoc.CUITUSUARIO, spoc.POC_ORDCOMP, spoc.POC_FECHA, sxu.XU_NOMBRE ";
		}
		$query .= "ORDER BY POC_FECHA ASC ";
		
		if( !empty($count) && $count == 1){			
			$result		= $this->SqlSrv->dbQuery($query);
			$arrReturn	= $this->SqlSrv->dbGetRow($result,0);
			return $arrReturn[0];
		}else{
			if($porPagina > 0){
				$offset = ($pagina * $porPagina);			
				$query .= "LIMIT $offset, $porPagina ";
			}
			// echo $query;
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				for( $i = 0 ; $i < $numrows ; $i++ ) {
					$row = $this->SqlSrv->dbGetRow($result,$i);
					$arrReturn[$i] = $row;
				}
			}
			return $arrReturn;
		}			
	}

	function insOC($cuitUsuario='', $cuitEmpresa='', $OC='', $moneda='', $fecha='', $estado='', $atraso=''){
		if(!empty($cuitUsuario) && !empty($cuitEmpresa)){
			$query = "INSERT INTO spoc (CUITUSUARIO, CUITEMPRESA, POC_ORDCOMP, POC_MONEDA, POC_FECHA, POC_ESTADO, POC_ATRASO) ";
			$query.= "VALUES ('$cuitUsuario', '$cuitEmpresa', '$OC', '$moneda', '$fecha', '$estado', '$atraso' ) ";
			return $this->SqlSrv->dbQueryInsert($query);
		}
		return false;
	}
	
	function insOCL($cuitUsuario='', $cuitEmpresa='', $OC='', $linea=0, $art='', $artDesc='', $cant=0, $cantEnt=0, $FECPLANENT='', $FECENT='',  $precio=0, $REM="", $FECREM="", $FAC="", $FECFAC=""){
		$art		= ltrim($art);
		// $artDesc	= ltrim($artDesc);
		
		$art		= ereg_replace("[^A-Za-z0-9 ]", "", $art);
		$artDesc	= ereg_replace("[^A-Za-z0-9 ]", "", $artDesc);
		
		$cant		= (float) $cant;
		$cantEnt	= (float) $cantEnt;
		$precio 	= (float) $precio;
		if(!empty($cuitUsuario) && !empty($cuitEmpresa)){
			$query = "INSERT INTO spocl (CUITUSUARIO		, CUITEMPRESA		, POCL_ORDCOMP	, POCL_LINEA, POCL_ART	, POCL_ARTDESC	, POCL_CANTPED	, POCL_CANTENT	, POCL_FECENTPLAN, POCL_FECENT	, POCL_PRECUNIT	, POCL_REMITO	, POCL_FECREMITO, POCL_FACTURA	, POCL_FECFACTURA	) ";
			$query.= "VALUES (			'$cuitUsuario'		, '$cuitEmpresa'	, '$OC'			, $linea	, '$art'	, '$artDesc'	, $cant			, $cantEnt		,$FECPLANENT,  '$FECENT'		, $precio		, '$REM'		, '$FECREM'		, '$FAC'		, '$FECFAC') ";
			// echo $query.'<br/>';
			// die();
			return $this->SqlSrv->dbQueryInsert($query);
		}	
		return false;
	}
	
	function delOC($cuitEmpresa=""){		
		if( !empty($cuitEmpresa) ){
			$query = "DELETE FROM spoc WHERE CUITEMPRESA ='$cuitEmpresa' ";
			$this->SqlSrv->dbQuery($query);
			return true;
		}
		return false;		
	}
	
	function delOCL($cuitEmpresa=""){		
		if( !empty($cuitEmpresa) ){
			$query = "DELETE FROM spocl WHERE CUITEMPRESA ='$cuitEmpresa' ";
			$this->SqlSrv->dbQuery($query);
			return true;
		}
		return false;		
	}
	
	function getOC( $orden='', $CUITUSUARIO='' ){
		$arrReturn	= array();
		if( !empty($orden) ){
			$query	= "SELECT spoc.*, spocl.*, sxu.XU_NOMBRE FROM spoc ";
			$query .= "INNER JOIN spocl ON spoc.POC_ORDCOMP = spocl.POCL_ORDCOMP ";
			$query .= "LEFT JOIN sxu ON sxu.XU_CUIT = spoc.CUITUSUARIO ";
			$query .= "WHERE spoc.POC_ORDCOMP = '$orden'  ";
			// $query .= "AND spoc.CUITUSUARIO = '$CUITUSUARIO' ";
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				for( $i = 0 ; $i < $numrows ; $i++ ) {
					$row = $this->SqlSrv->dbGetRow($result,$i);
					$arrReturn[$i] = $row;
				}
			}
		}
		return $arrReturn;
	}
	
	function obtUsuProvOC($cuitEmpresa='', $pagina=0, $porPagina=10, $like=''){
		$arrReturn	= array();
		$pagina		= (int) $pagina;
		$porPagina	= (int) $porPagina;
		$query  = "SELECT sxu.XU_CUIT, sxu.XU_NOMBRE FROM sxu ";
		$query .= "INNER JOIN sxue ON sxu.XU_CUIT = sxue.XUE_CUITUSUARIO ";
		$query .= "INNER JOIN spoc ON spoc.CUITUSUARIO = sxu.XU_CUIT ";
		$query .= "WHERE XUE_CUITEMPRESA = '$cuitEmpresa' ";
		$query .= ( !empty($like) )? "AND sxu.XU_CUIT like '%".$like."%' " : '';
		$query .= "GROUP BY sxu.XU_CUIT, sxu.XU_NOMBRE ";
		$query .= "ORDER BY XU_NOMBRE ASC ";
		if($porPagina > 0){
			$offset = ($pagina * $porPagina);
			$query .= "LIMIT $offset, $porPagina ";
		}	
		// echo $query;
		$result	= $this->SqlSrv->dbQuery($query);
		$numrows = $this->SqlSrv->dbNumRows($result);
		if($numrows){
			for( $i = 0 ; $i < $numrows ; $i++ ) {
				$arrReturn[$i] = $this->SqlSrv->dbGetRow($result,$i);
			}
		}
		return $arrReturn;
	}
	
}
?>